Skip to content

Spinup Emulators

Request

  • Auth required (user or app).
  • Creates emulator agents using DatabaseManager.add_agent with hashed passwords.
  • Normalises locations to lat/lon and stores them ONLY in agent.configuration.geolocation.
  • Publishes a job to RabbitMQ (routing key: emulator_spinup) including agent creds and locations.
Security
OAuth2PasswordBearer
Bodyapplication/jsonrequired
emulatorsArray of objects(Emulators)required
POST
/api/v1/emulator/spinup
curl -i -X POST \
  https://matric-docs.redocly.app/_mock/openapi/api/v1/emulator/spinup \
  -H 'Content-Type: application/json' \
  -d '{
    "emulators": [
      {
        "access_point_type": "string",
        "num_access_points": 1000,
        "locations": [
          "string"
        ],
        "num_devices": 0,
        "duration": 0
      }
    ]
  }'

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example